secure.control {secure} | R Documentation

## Internal control function for secure

### Description

list of parameters for controling secure fitting

### Usage

    secure.control(mu = 1, nu = 1.1, MMerr = 0.001, MMiter = 100,
      outTol = 1e-06, outMaxIter = 200, inMaxIter = 200, inTol = 1e-04,
      lamMaxFac = 1, lamMinFac = 1e-10, gamma0 = 2, elnetAlpha = 0.95,
      spU = 0.25, spV = 0.25)

### Arguments

`mu` | penalty parameter used in enforcing orthogonality
`nu` | penalty parameter used in enforcing orthogonality (incremental rate of mu)
`MMerr` | tolerence in the majorization maximization(MM) algorithm for computing initial values when missing value occurs
`MMiter` | maximum number iterations in the MM algorithm
`outTol` | tolerence of convergence of outer loop in CURE
`outMaxIter` | maximum number of outer loop iteration in CURE
`inMaxIter` | maximum number of inner loop iteration in CURE
`inTol` | tolerence value required for convergence of inner loop in CURE
`lamMaxFac` | a multiplier of calculated lambda_max
`lamMinFac` | a multiplier of determing lambda_min as a fraction of lambda_max
`gamma0` | power parameter in the adaptive weights
`elnetAlpha` | elastic net penalty parameter
`spU` | maximum proportion of nonzero elements in each column of U
`spV` | maximum proportion of nonzero elements in each column of V

### Value

a list of controling parameter.

[Package secure version 0.5 Index]